POST RestApi/personal/mediarecorder/native/upload/start/v1
Starts a native multipart upload session and returns presigned URLs for each chunk.
Request Information
URI Parameters
None.
Body Parameters
Upload session metadata from the client.
Itsolutions.Itslearning.Web.RestApi.Personal.MediaRecorderController+NativeUploadStartRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| fileName |
Original file name reported by the client. |
string |
None. |
| contentType |
MIME type of the recording being uploaded. |
string |
None. |
| size |
Total size of the recording in bytes. |
integer, 64 bit |
None. |
| chunkCount |
Number of upload parts the client will send. |
integer |
None. |
| recorderType |
Recorder implementation used to create the media. |
string |
None. |
| isVideoRecording |
Indicates whether the recording contains video. |
boolean |
None. |
| usedInFileUploader |
Indicates whether the recorder is used inside the file uploader flow. |
boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"fileName": "sample string 1",
"contentType": "sample string 2",
"size": 3,
"chunkCount": 4,
"recorderType": "sample string 5",
"isVideoRecording": true,
"usedInFileUploader": true
}
application/xml, text/xml
Sample:
<MediaRecorderController.NativeUploadStartRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal"> <chunkCount>4</chunkCount> <contentType>sample string 2</contentType> <fileName>sample string 1</fileName> <isVideoRecording>true</isVideoRecording> <recorderType>sample string 5</recorderType> <size>3</size> <usedInFileUploader>true</usedInFileUploader> </MediaRecorderController.NativeUploadStartRequest>
application/x-www-form-urlencoded
Sample:
No sample available
Response Information
Resource Description
An HTTP action result containing either validation errors or a .
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.